Rated 3 out of 5 stars

I would like it a lot more if I could get it to work on FF 2.0.0.16!!! Is it just me or anyone else having this problem? Has it been updated to work with future FF upgrades -- like 3.0??
Para